Create a Custom Object Record. Supported Objects business and custom objects. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-376296

http
POST https://services.leadconnectorhq.com/objects/{schemaKey}/records

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
schemaKeystringYescustom_objects.pet or business.email (for company's email)The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.

Body

Responses

201 - Successful response
  • record (object)

    • id (string, required): id of the record Example: 661c06b4ffde146bdb469442

    • owner (string[], required): Owner (User's id). Limited to 1 for now. Only Supported with custom objects

    • followers (string[], required): Follower (User's ids). Limited to 10 for now

    • properties (string, required): Properties of the record

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

json
{
  "record": {
    "id": "661c06b4ffde146bdb469442",
    "owner": [
      "sx6wyHhbFdRXh302Lunr"
    ],
    "followers": [
      "sx6wyHhbFdRXh302Lunr",
      "v5cEPM428h8vShlRW1KT"
    ],
    "properties": {
      "customer_number": 1424,
      "ticket_name": "Customer not able login",
      "phone_number": "+917000000000",
      "money": {
        "currency": "default",
        "value": 100
      },
      "type_of_ticket": "doubt",
      "section_of_app": [
        "contacts",
        "smartlist"
      ],
      "recieved_on": "2024-07-11",
      "my_files": [
        {
          "url": "---url_of_file---"
        }
      ],
      "my_textbox_list.option_a": "Value 1",
      "my_textbox_list.option_b": "Value 2"
    },
    "dateAdded": "2024-01-15T10:30:00Z",
    "dateUpdated": "2024-01-15T10:30:00Z"
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{}'

Last updated October 26, 2026

Was this page helpful?